Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkThresholdPoints Class Reference

`#include <vtkThresholdPoints.h>`

Inheritance diagram for vtkThresholdPoints:

[legend]
Collaboration diagram for vtkThresholdPoints:

[legend]
List of all members.

## Detailed Description

extracts points whose scalar value satisfies threshold criterion

Date:
  2002/01/22 15:29:52

Revision:
  1.33

vtkThresholdPoints is a filter that extracts points from a dataset that satisfy a threshold criterion. The criterion can take three forms: 1) greater than a particular value; 2) less than a particular value; or 3) between a particular value. The output of the filter is polygonal data.

See also:
  vtkThreshold

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (65%)
  - Martin, Ken (13%)
  - Kelly, Ann (5%)

CVS logs (CVSweb):
  - .`h` (`/Graphics/vtkThresholdPoints.h)`
  - .`cxx` (`/Graphics/vtkThresholdPoints.cxx)`

Examples:
  vtkThresholdPoints (Examples)

Tests:
  vtkThresholdPoints (Tests)

Definition at line 53 of file vtkThresholdPoints.h.

## Public Types
typedef vtkDataSetToPolyDataFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | ThresholdByLower (float lower)
void | ThresholdByUpper (float upper)
void | ThresholdBetween (float lower, float upper)
virtual float | GetUpperThreshold ()
virtual float | GetLowerThreshold ()
## Static Public Methods
vtkThresholdPoints * | New ()
int | IsTypeOf (const char *type)
vtkThresholdPoints * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkThresholdPoints ()
| ~vtkThresholdPoints ()
void | Execute ()
int | Lower (float s)
int | Upper (float s)
int | Between (float s)
## Protected Attributes
float | LowerThreshold
float | UpperThreshold
int(vtkThresholdPoints::* | ThresholdFunction )(float s)

## Member Typedef Documentation

typedef vtkDataSetToPolyDataFilter vtkThresholdPoints::Superclass

| Reimplemented from vtkDataSetToPolyDataFilter. Definition at line 57 of file vtkThresholdPoints.h.

## Constructor & Destructor Documentation

vtkThresholdPoints::vtkThresholdPoints | ( |  | ) | `[protected]`

vtkThresholdPoints::~vtkThresholdPoints | ( |  | ) | `[inline, protected]`

| Definition at line 78 of file vtkThresholdPoints.h.

## Member Function Documentation

vtkThresholdPoints* vtkThresholdPoints::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkThresholdPoints::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataSetToPolyDataFilter.

int vtkThresholdPoints::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToPolyDataFilter.

virtual int vtkThresholdPoints::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToPolyDataFilter.

vtkThresholdPoints* vtkThresholdPoints::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataSetToPolyDataFilter.

void vtkThresholdPoints::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataSetToPolyDataFilter.

void vtkThresholdPoints::ThresholdByLower | ( | float | lower | ) |

| Criterion is cells whose scalars are less than lower threshold.

void vtkThresholdPoints::ThresholdByUpper | ( | float | upper | ) |

| Criterion is cells whose scalars are less than upper threshold.

void vtkThresholdPoints::ThresholdBetween | ( | float | lower,
|  | float | upper
| ) |

| Criterion is cells whose scalars are between lower and upper thresholds.

virtual float vtkThresholdPoints::GetUpperThreshold | ( |  | ) | `[virtual]`

| Get the upper and lower thresholds.

virtual float vtkThresholdPoints::GetLowerThreshold | ( |  | ) | `[virtual]`

| Get the upper and lower thresholds.

void vtkThresholdPoints::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

int vtkThresholdPoints::Lower | ( | float | s | ) | `[inline, protected]`

| Definition at line 90 of file vtkThresholdPoints.h.

int vtkThresholdPoints::Upper | ( | float | s | ) | `[inline, protected]`

| Definition at line 91 of file vtkThresholdPoints.h.

int vtkThresholdPoints::Between | ( | float | s | ) | `[inline, protected]`

| Definition at line 92 of file vtkThresholdPoints.h.

## Member Data Documentation

float vtkThresholdPoints::LowerThreshold`[protected]`

| Definition at line 83 of file vtkThresholdPoints.h.

float vtkThresholdPoints::UpperThreshold`[protected]`

| Definition at line 84 of file vtkThresholdPoints.h.

int(vtkThresholdPoints::* vtkThresholdPoints::ThresholdFunction)(float s)`[protected]`

The documentation for this class was generated from the following file:

- Graphics/vtkThresholdPoints.h